# CSharp

C# is available on the cluster. Activate C# by loading the Mono module:

```console
$ ml Mono
```

## Examples

### Hello World

Copy this code to new file hello.cs:

```csc
using System;

class HelloWorld {
  static void Main() {
    Console.WriteLine("Hello world!!!");
  }
}
```

Compile the program and make *Windows executable*.

```console
$ mcs -out:hello.exe hello.cs
```

Now run the program:

```console
$ mono hello.exe
Hello world!!!
```

### Interactive Console

Type:

```console
$ csharp
Mono C# Shell, type "help;" for help

Enter statements below.
csharp>
```

Now you are in interactive mode. You can try following example.

```csc
csharp> using System;
csharp> int a = 5;
csharp> double b = 1.5;
csharp> Console.WriteLine("{0}*{1} is equal to {2}", a,b,a*b);
5*1.5 is equal to 7.5
csharp> a == b
false
```

Show all files modified in last 5 days:
```csc
csharp> using System.IO;
csharp> from f in Directory.GetFiles ("mydirectory")
      > let fi = new FileInfo (f)
      > where fi.LastWriteTime > DateTime.Now-TimeSpan.FromDays(5) select f;
{ "mydirectory/mynewfile.cs", "mydirectory/script.sh" }
```

For more informations look at [Mono documentation page](http://www.mono-project.com/docs/).
