# TensorFlow

TensorFlow is an open-source software library for machine intelligence.
For searching available modules type:

```console
$ ml av Tensorflow
```

## Anselm modules

Anselm provides beside others these three different TensorFlow modules:

* Tensorflow/1.1.0 (CPU only, not recommended), module built with:
    * GCC/4.9.3
    * Python/3.6.1
* Tensorflow/1.1.0-CUDA-7.5.18-Python-3.6.1 (GPU enabled), module built with:
    * GCC/4.9.3
    * Python/3.6.1
    * CUDA/7.5.18
    * cuDNN/5.1-CUDA-7.5.18
* Tensorflow/1.1.0-CUDA-8.0.44-Python-3.6.1 (GPU enabled), module built with:
    * GCC/4.9.3
    * Python/3.6.1
    * CUDA/8.0.44
    * cuDNN/5.1-CUDA-8.0.44

## Salomon modules

Salomon provides beside others these three different TensorFlow modules:

* Tensorflow/1.1.0 (not recommended), module built with:
    * GCC/4.9.3
    * Python/3.6.1
* Tensorflow/1.2.0-GCC-7.1.0-2.28 (default, recommended), module built with:
    * TensorFlow 1.2 with SIMD support. TensorFlow build taking advantage of the Salomon CPU architecture.
    * GCC/7.1.0-2.28
    * Python/3.6.1
    * protobuf/3.2.0-GCC-7.1.0-2.28-Python-3.6.1
* Tensorflow/1.2.0-intel-2017.05-mkl (TensorFlow 1.2 with MKL support), module built with:
    * icc/2017.4.196-GCC-7.1.0-2.28
    * Python/3.6.1
    * protobuf/3.2.0-GCC-7.1.0-2.28-Python-3.6.1

## TensorFlow application example

After loading one of the available TensorFlow modules, you can check the functionality running the following python script.

```python
import tensorflow as tf

c = tf.constant('Hello World!')
sess = tf.Session()
print(sess.run(c))
```
